Skip to content
Developer

ChatbotTurnLog

Chat and notifications2 EndpointsChat / ChatbotTurnLog

Returns a list of all ChatbotTurnLogs

GET/api/chat/chatbot_turn_log

Query parameters

idstring, SCOPE_LIST
chatroomstring, SCOPE_LIST
personstring, SCOPE_LIST
statusstringok | error | skipped - siehe STATUS_* Konstanten. | , SCOPE_LIST
modelstring, SCOPE_LIST
finishReasonstringstop | max_iterations | timeout | error - so, wie der Dienst es meldet. | , SCOPE_LIST
createdstring, SCOPE_LIST
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of all ChatbotTurnLogsarray<ChatbotTurnLog>

Show fields (11)
  • idinteger

    Primary key of the chatbot turn log. Internal ID.

  • modelstring

    Language model used for the turn.

  • prompt_tokensinteger

    Number of prompt tokens used.

  • completion_tokensinteger

    Number of completion tokens used.

  • llm_callsinteger

    Number of model calls made for the turn.

  • tool_callsinteger

    Anzahl der Tool-Aufrufe - die Einzelheiten stehen in ai_meta an der Nachricht, hier zaehlt nur die Menge.

  • duration_msinteger

    Duration of the turn in milliseconds.

  • finish_reasonstring

    stop | max_iterations | timeout | error - so, wie der Dienst es meldet.

  • statusstring

    ok | error | skipped - siehe STATUS_* Konstanten.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/chat/chatbot_turn_log \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "model": "string",
    "prompt_tokens": 1,
    "completion_tokens": 1,
    "llm_calls": 1,
    "tool_calls": 1,
    "duration_ms": 1,
    "finish_reason": "string",
    "status": "string",
    "created": "2026-10-15T09:30:00+02:00"
  }
]

Returns a single ChatbotTurnLog entry.

GET/api/chat/chatbot_turn_log/{identifier}

Path parameters

identifierrequiredstring

Responses

200Return single ChatbotTurnLogChatbotTurnLog

Show fields (11)
  • idinteger

    Primary key of the chatbot turn log. Internal ID.

  • modelstring

    Language model used for the turn.

  • prompt_tokensinteger

    Number of prompt tokens used.

  • completion_tokensinteger

    Number of completion tokens used.

  • llm_callsinteger

    Number of model calls made for the turn.

  • tool_callsinteger

    Anzahl der Tool-Aufrufe - die Einzelheiten stehen in ai_meta an der Nachricht, hier zaehlt nur die Menge.

  • duration_msinteger

    Duration of the turn in milliseconds.

  • finish_reasonstring

    stop | max_iterations | timeout | error - so, wie der Dienst es meldet.

  • statusstring

    ok | error | skipped - siehe STATUS_* Konstanten.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/chat/chatbot_turn_log/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "model": "string",
  "prompt_tokens": 1,
  "completion_tokens": 1,
  "llm_calls": 1,
  "tool_calls": 1,
  "duration_ms": 1,
  "finish_reason": "string",
  "status": "string",
  "created": "2026-10-15T09:30:00+02:00"
}